clang-tools 10.0.0

Classes | Namespaces | Functions
ObjCTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "AvoidNSErrorInitCheck.h"`
`#include "ForbiddenSubclassingCheck.h"`
`#include "MissingHashCheck.h"`
`#include "PropertyDeclarationCheck.h"`
`#include "SuperSelfCheck.h"`
Include dependency graph for ObjCTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::objc::ObjCModule

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::objc

## Functions
static ClangTidyModuleRegistry::Add< ObjCModule > | clang::tidy::objc::X ("objc-module", "Adds Objective-C lint checks.")